OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_Naming Class Reference

This attribute store the topological naming of any
selected shape, when this shape is not already
attached to a specific label. This class is also used
to solve it when the argumentsof the toipological
naming are modified.
.

`#include <TNaming_Naming.hxx>`

Inheritance diagram for TNaming_Naming:

[legend]

## Public Member Functions
Standard_EXPORT | TNaming_Naming ()
Standard_EXPORT Standard_Boolean | IsDefined () const
Standard_EXPORT const TNaming_Name & | GetName () const
Standard_EXPORT TNaming_Name & | ChangeName ()
Standard_EXPORT Standard_Boolean | Regenerate (TDF_LabelMap &scope)
| regenerate only the Name associated to me
Standard_EXPORT Standard_Boolean | Solve (TDF_LabelMap &scope)
| Regenerate recursively the whole name with scope. If scope is empty it means that all the labels of the framework are valid. .
virtual Standard_EXPORT const Standard_GUID & | ID () const
| Deferred methods from TDF_Attribute =================================== .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoattribute>. The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents! It is possible to use <arelocationtable> to get/set the relocation value of a source attribute. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&aDataSet) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
virtual Standard_EXPORT void | ExtendedDump (Standard_OStream &anOS, const TDF_IDFilter &aFilter, TDF_AttributeIndexedMap &aMap) const
| Dumps the attribute content on <astream>, using <amap> like this: if an attribute is not in the map, first put add it to the map and then dump it. Use the map rank instead of dumping each attribute field. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
| following code from TDesignStd ==============================
static Standard_EXPORT Handle_TNaming_Naming | Insert (const TDF_Label &under)
static Standard_EXPORT Handle_TNaming_NamedShape | Name (const TDF_Label &where, const TopoDS_Shape &Selection, const TopoDS_Shape &Context, const Standard_Boolean Geometry=Standard_False)
| Creates a Namimg attribute at label <where> to identify the shape <selection>. Geometry is Standard_True if we are only interested by the underlying geometry (e.g. setting a constraint). <context> is used to find neighbours of <s> when required by the naming. //! instance method =============== .
## Private Attributes
TNaming_Name | myName

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_Naming::TNaming_Naming | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TNaming_Name& TNaming_Naming::ChangeName | ( |  | ) |

virtual Standard_EXPORT Standard_OStream& TNaming_Naming::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT void TNaming_Naming::ExtendedDump | ( | Standard_OStream & | anOS,
|  | const TDF_IDFilter & | aFilter,
|  | TDF_AttributeIndexedMap & | aMap
| ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TNaming_Naming::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TNaming_Name& TNaming_Naming::GetName | ( |  | ) | const

Standard_EXPORT const TNaming_Naming::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT const Standard_GUID& TNaming_Naming::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TNaming_Naming TNaming_Naming::Insert | ( | const TDF_Label & | under | ) | `[static]`

Standard_EXPORT Standard_Boolean TNaming_Naming::IsDefined | ( |  | ) | const

static Standard_EXPORT Handle_TNaming_NamedShape TNaming_Naming::Name | ( | const TDF_Label & | where,
|  | const TopoDS_Shape & | Selection,
|  | const TopoDS_Shape & | Context,
|  | const Standard_Boolean | Geometry = `Standard_False`
| ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TNaming_Naming::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TNaming_Naming::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TNaming_Naming::References | ( | const Handle(TDF_DataSet)& | aDataSet | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Boolean TNaming_Naming::Regenerate | ( | TDF_LabelMap & | scope | ) |

Standard_EXPORT void TNaming_Naming::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TNaming_Naming::Solve | ( | TDF_LabelMap & | scope | ) |

## Field Documentation

TNaming_Name TNaming_Naming::myName`[private]`

The documentation for this class was generated from the following file:

- TNaming_Naming.hxx